StarPU Handbook

Data Structures | Macros | Functions
starpu_fxt.h File Reference
`#include <starpu_perfmodel.h>`

Go to the source code of this file.

## Data Structures
struct | starpu_fxt_codelet_event
struct | starpu_fxt_options

## Macros
#define | STARPU_FXT_MAX_FILES

## Functions
void | starpu_fxt_options_init (struct starpu_fxt_options *options)
void | starpu_fxt_options_shutdown (struct starpu_fxt_options *options)
void | starpu_fxt_options_set_dir (struct starpu_fxt_options *options)
void | starpu_fxt_generate_trace (struct starpu_fxt_options *options)
void | starpu_fxt_autostart_profiling (int autostart)
void | starpu_fxt_start_profiling (void)
void | starpu_fxt_stop_profiling (void)
void | starpu_fxt_write_data_trace (char *filename_in)
int | starpu_fxt_is_enabled ()
void | starpu_fxt_trace_user_event (unsigned long code)
void | starpu_fxt_trace_user_event_string (const char *s)